/**
 * Menu manager.
 */
var mnuMgr = {
	fMnuRoot : null,
	fMnuNodes : null,
	fHistMgr : null,
	fPathMnuRoot : "ide:mnuFra",
	fPathMnuNodes : "des:a.mnu_entry",
	fDisLnkClass : "mnu_disabled",
	init : function(){
		scOnLoads[scOnLoads.length] = this;
	},
	onLoad : function(){
		this.fMnuRoot = scPaLib.findNode(this.fPathMnuRoot);
		this.fMnuNodes = scPaLib.findNodes(this.fPathMnuNodes,this.fMnuRoot);
		if (!histMgr) return;
		this.fHistMgr = new histMgr;
		for (var i in this.fMnuNodes) {
			var vLnk = this.fMnuNodes[i];
			if (!this.fHistMgr.isInHistory(vLnk.href)){
				vLnk.href = "#";
				vLnk.onclick = function() {return false;}
				vLnk.className = vLnk.className + " " + this.fDisLnkClass;
			}
		}
	},
	loadSortKey : "M"
}
